Colt 1.2.0

## hep.aida.bin
Interface BinFunction1D

public interface BinFunction1D

Interface that represents a function object: a function that takes two bins as arguments and returns a single value.

Method Summary
`double` | `apply(DynamicBin1D x)` Applies a function to one bin argument.
`String` | `name()` Returns the name of this function.

Method Detail

### apply

    public double apply(DynamicBin1D x)

  Applies a function to one bin argument.

  Parameters:
    `x` - the argument passed to the function.
  Returns:
    the result of the function.

### name

    public String name()

  Returns the name of this function.

  Returns:
    the name of this function.

Colt 1.2.0

Jump to the Colt Homepage